using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void RadGrid1_NeedDataSource(object source, Telerik.WebControls.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = List1;
    }

    protected void RadGrid2_NeedDataSource(object source, Telerik.WebControls.GridNeedDataSourceEventArgs e)
    {
        RadGrid2.DataSource = List2;
    }

    protected void Button1_Click(object sender, System.EventArgs e)
    {
        foreach (GridDataItem item in RadGrid1.SelectedItems)
        {
            List1.Remove(item["Item"].Text);
            List2.Add(item["Item"].Text);
        }
        RadGrid1.Rebind();
        RadGrid2.Rebind();
    }

    protected void Button2_Click(object sender, System.EventArgs e)
    {
        foreach (GridDataItem item in RadGrid2.SelectedItems)
        {
            List2.Remove(item["Item"].Text);
            List1.Add(item["Item"].Text);
        }
        RadGrid1.Rebind();
        RadGrid2.Rebind();
    }

    private ArrayList List1
    {
        get
        {
            ArrayList obj = (ArrayList)Session["list1"];
            if (obj == null)
            {
                ArrayList list = new ArrayList();

                list.Add("string1");
                list.Add("string2");
                list.Add("string3");

                Session["list1"] = list;

                return list;
            }
            return obj;
        }
    }

    private ArrayList List2
    {
        get
        {
            ArrayList obj = (ArrayList)Session["list2"];
            if (obj == null)
            {
                ArrayList list = new ArrayList();

                list.Add("string4");
                list.Add("string5");
                list.Add("string6");

                Session["list2"] = list;

                return list;
            }
            return obj;
        }
    }
}
